.sidebar {
  width: 300px;
  background-color: #242b2e;
  position: relative;
  &-inner {
    position: sticky;
    top: 0;
    bottom: 200px;
  }
  input {
    display: none;
  }
  @media (max-width: 500px) {
    display: none;
  }
}

.logo {
  width: 300px;
  height: 125px;
  background-color: #ffffff;

  &-link {
    text-decoration: none;
  }

  &-name {
    width: 117px;
    height: 47px;
    color: #364048;
    font-family: "Soho Gothic Pro";
    font-size: 48px;
    font-weight: 300;
    letter-spacing: -1.16px;
    padding-left: 92px;
    padding-top: 32px;
    padding-right: 92px;
    padding-bottom: 1px;
    margin: 0;
  }

  .sub-logo-name {
    width: 76px;
    height: 16px;
    padding-left: 123px;
    padding-top: 1px;
    padding-right: 101px;
    padding-bottom: 32px;
  }
}

.borderline {
  width: 300px;
  background-color: #000000;
  opacity: 0.1;
}

.main-menu {
  width: 300px;
  height: 384px;
}

.main-menu-list {
  li {
    width: 285px;
    background-color: #2f373b;
    background-image: linear-gradient(to top, rgba(0, 0, 0, 0.02) 0%, rgba(255, 255, 255, 0.02) 100%);
    text-align: right;
    padding-right: 15px;
    padding-top: 15px;
    padding-bottom: 15px;
    list-style-type: none;
	&:link {
		display: none;
	}
    &:hover {
      width: 285px;
      background-color: #1ab5b3;
      background-image: linear-gradient(to top, rgba(0, 0, 0, 0.1) 0%, rgba(255, 255, 255, 0.1) 100%);
    }
  }

  a {
    text-shadow: 1px 1px 4px rgba(0, 0, 0, 0.2);
    color: #ffffff;
    font-family: Roboto;
    font-size: 18px;
    font-weight: 300;
    line-height: 32px;
    text-transform: uppercase;
    text-decoration: none;
  }
}

.filter {
  &-menu {
    width: 300px;
    height: 221px;
    background-color: #242b2e;
    text-align: right;
  }

  &-menu div {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    padding-top: 12px;
    padding-bottom: 12px;
  }

  &-menu p {
    text-shadow: 1px 1px 4px rgba(0, 0, 0, 0.2);
    color: #1ab5b3;
    font-family: "Roboto - Thin";
    font-size: 19px;
    font-weight: 400;
    line-height: 32px;
    margin: 0;
    padding-right: 12px;
  }

  &-img {
    color: #1ab5b3;
    font-family: "Font Awesome";
    font-size: 18px;
    font-weight: 400;
    line-height: 32px;
    margin: 0;
    padding-right: 24px;
  }

  &-list li {
    padding-right: 24px;
    list-style-type: none;
  }

  &-list a {
    width: 72px;
    height: 130px;
    text-shadow: 1px 1px 4px rgba(0, 0, 0, 0.2);
    color: #6b7072;
    font-family: Roboto;
    font-size: 13px;
    font-weight: 300;
    line-height: 24px;
    text-decoration: none;
    list-style-image: none;

    &:hover {
      color: #ffffff
    }
  }
}

.social-networks-list {
  padding-top: 30px;
  display: flex;
  justify-content: center;
  list-style-type: none;
}

.social-networks-list li {
  padding-left: 12px;
}

.social-networks p {
  color: #6b7072;
  font-family: "Roboto - Thin";
  font-size: 12px;
  font-weight: 400;
  line-height: 25px;
  text-align: right;
  padding-right: 24px;
}

// Media Queries
@media (max-width: 1024px) {
  .sidebar {
    position: relative;
    z-index: 1;
    user-select: none;
    width: 0;
    top: 30px;
    left: 30px;
    input {
      display: block;
      width: 40px;
      height: 32px;
      position: absolute;
      top: -7px;
      left: -5px;
      cursor: pointer;
      opacity: 0;
      z-index: 2;
      -webkit-touch-callout: none;
    }
    span {
      display: block;
      width: 33px;
      height: 4px;
      margin-bottom: 5px;
      position: relative;
      background: #cdcdcd;
      border-radius: 3px;
      z-index: 1;
      transform-origin: 4px 0;
      transition: transform 0.5s cubic-bezier(0.77, 0.2, 0.05, 1.0),
      background 0.5s cubic-bezier(0.77, 0.2, 0.05, 1.0),
      opacity 0.55s ease;
    }
    span:first-child {
      transform-origin: 0 0;
    }
    span:nth-last-child(2) {
      transform-origin: 0 100%;
    }
    input:checked ~ span {
      opacity: 1;
      transform: rotate(45deg) translate(-2px, -1px);
      background: #232323;
    }
    input:checked ~ span:nth-last-child(3) {
      opacity: 0;
      transform: rotate(0deg) scale(0.2, 0.2);
    }
    input:checked ~ span:nth-last-child(2) {
      transform: rotate(-45deg) translate(0, -1px);
    }
    input:checked ~ #menu {
      transform: none;
      position: sticky;
      top: 0;
      right: 0;
      left: 0;
      bottom: 0;
      width: 300px;
      height: 100vh;
      background-color: #242b2e;
      margin: -57px 0 0 -30px;
    }
  }

  #menu {
    margin: 0 0 0 -200px;
    transform-origin: 0 0;
    transform: translate(-100%, 0);
  }
}

@media (max-width: 1024px) {
  .sidebar {
    position: absolute;
    left: 30px;
  }
}
